package cn.kdan.compdf.entity;

import cn.kdan.compdf.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * @author ComPDFKit-WPH 2022-10-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("background_user_project")
public class BackgroundUserProject extends BaseEntity implements Serializable {

    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 关联用户主键id
     */
    private Long userId;
    /**
     * 租户id
     */
    private Long tenantId;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 公钥
     */
    private String projectKey;
    /**
     * 私钥
     */
    private String secretKey;
    /**
     * 状态0已删除1正常
     */
    private Integer status;
    /**
     * 首次登录时间
     */
    private Date firstLoginTime;
    /**
     * 最后一次登录时间
     */
    private Date lastLoginTime;

}
