package cn.kdan.compdf.entity.dto;

import lombok.*;

/**
 * @author ComPDFKit-WPH 2022/10/10
 * <p>
 * Dashboard 表格数据（行列）
 */
@Data
@ToString
@EqualsAndHashCode
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DashboardDetailedDataDTO {

    /**
     * 横坐标数据
     */
    private String xData;

    /**
     * 纵坐标数据
     */
    private String yData;


}
