package cn.kdan.compdf.service;

import cn.kdan.compdf.dto.TenantAssetBalanceDTO;
import cn.kdan.compdf.entity.BackgroundUserRemain;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * @author ComPDFKit-WPH 2022-11-10
 */
public interface BackgroundUserRemainService extends IService<BackgroundUserRemain> {

    /**
     * 列表查询
     *
     * @param query 查询参数
     * @return 列表数据
     */
    IPage<BackgroundUserRemain> page(BackgroundUserRemain query);

    /**
     * 通过tenantId 获得BackgroundUserRemain
     *
     * @param tenantId tenantId
     * @return 获得BackgroundUserRemain
     */
    BackgroundUserRemain getUserRemain(Long tenantId);

    /**
     * tenantBalance 同步
     *
     * @param tenantBalance tenantBalance
     */
    void userRemainSync(List<TenantAssetBalanceDTO> tenantBalance);
}